Subject: Re: bug#54183: 28.0.91; Emacs crashes on bookmark-jump

From: Gustavo Barros <[email-masked]>
Date: Thu, 03 Mar 2022 11:57:16 -0300

On Thu, 03 Mar 2022 at 11:23, Gustavo Barros <[email-masked]> 
wrote:

> Your suspicion is right.  From the same session I've reported the last 
> crash:
>
> (gdb) break gui_define_fringe_bitmap
> Function "gui_define_fringe_bitmap" not defined.
> Breakpoint 1 (gui_define_fringe_bitmap) pending.
>
> However, I did follow carefully the instructions. The patch reported 
> to have
> been applied to each of the affected files. And, since I was 
> unfamiliar with
> the procedure, before running `make', I rechecked each of the patched 
> files to
> see if they contained the changed, and they did.
>
> As far as I understand, this means that when I call 
> `lib-src/emacsclient' it
> was actually bringing the installed `emacs' all along. Luckily, for 
> the
> previous tests, it just so happened that it was identical to the 
> version we
> wanted to test. But this is no longer the case now, given the 
> patch. Is this
> correct?
>
> And that's the procedure I had been following given the problem does 
> not occur
> on a standalone Emacs instance.
>
> That given, does starting it with `src/emacs --daemon', then 
> connecting with
> `lib-src/emacsclient' seem like the correct procedure to you?

Damn! My bad! I had remamed/moved the emacs since the first build and, 
as a result the `make' step had completely failed, and I managed to miss 
that... sorry.

Let me start over, and try to do things right. I'll report back soon.